import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const response = await conductor.qbd.salesTaxPaymentChecks.void('123ABC-1234567890', {
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(response.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
response = conductor.qbd.sales_tax_payment_checks.void(
id="123ABC-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(response.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/sales-tax-payment-checks/{id}/void \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'
{
"id": "123ABC-1234567890",
"objectType": "qbd_sales_tax_payment_check",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"refNumber": "TAXPMT-1234",
"voided": true
}Void a sales-tax payment check
Voids a sales-tax payment check by setting its amount to zero while keeping a record of it in QuickBooks. The void will fail if the sales-tax payment check is currently in use or has any linked transactions that are in use.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const response = await conductor.qbd.salesTaxPaymentChecks.void('123ABC-1234567890', {
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(response.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
response = conductor.qbd.sales_tax_payment_checks.void(
id="123ABC-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(response.id)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Path Parameters
The QuickBooks-assigned unique identifier of the sales-tax payment check to void.
36"123ABC-1234567890"
Response
Returns a confirmation of the void with the ID of the voided sales-tax payment check.
The QuickBooks-assigned unique identifier of the voided sales-tax payment check.
"123ABC-1234567890"
The type of object. This value is always "qbd_sales_tax_payment_check".
"qbd_sales_tax_payment_check""qbd_sales_tax_payment_check"
The date and time when this sales-tax payment check was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss+hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-01-01T12:34:56.000Z"
The date and time when this sales-tax payment check was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss+hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-02-01T12:34:56.000Z"
The case-sensitive user-defined reference number of the voided sales-tax payment check.
"TAXPMT-1234"
Indicates whether the sales-tax payment check was voided.
true

